Subject: bug#33050: 27.0.50; [macOS] Problem with process input with process-connection-type nil

From: Eli Zaretskii <[email-masked]>
Date: Thu, 25 Oct 2018 19:24:53 +0300

> From: Filipp Gunbin <[email-masked]>
> Cc: Eli Zaretskii <[email-masked]>,  [email-masked]
> Date: Thu, 25 Oct 2018 18:51:17 +0300
> 
> With process-connection-type nil, we call vfork() and then setsid()
> apparently fails (at least to reset child's controlling terminal).
> 
> I tried to change the above to just use fork(), and got the correct
> behavior.
> 
> If only I knew how to fix this correctly, without reverting to fork()
> :-) Does anyone have ideas?  I'll try to look into this further myself,
> and will write back.

I'm probably missing something: why are you still trying to find a
solution, when one was already found?  What's wrong with setting
process-connection-type non-nil in this case, at least for Darwin?